gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gst::PluginFeature Class Reference

A base class for anything that can be added to a Gst::Plugin. More...

Inheritance diagram for Gst::PluginFeature:
[legend]
Collaboration diagram for Gst::PluginFeature:
[legend]

## Public Types
typedef sigc::slot< bool, const Glib::RefPtr < Gst::PluginFeature >& > | SlotFilter
| For example, bool on_filter(const Glib::RefPtr<Gst::PluginFeature>& feature);. More...

## Public Member Functions
virtual | ~PluginFeature ()
GstPluginFeature* | gobj ()
| Provides access to the underlying C GObject. More...
const GstPluginFeature* | gobj () const
| Provides access to the underlying C GObject. More...
GstPluginFeature* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_rank (guint rank)
| Specifies a rank for a plugin feature, so that autoplugging uses the most appropriate feature. More...
guint | get_rank () const
| Gets the rank of a plugin feature. More...
Glib::RefPtr< Gst::PluginFeature > | load ()
| Loads the plugin containing feature if it's not already loaded. More...
Glib::RefPtr< Gst::Plugin > | get_plugin () const
| Get the plugin that provides this feature. More...
bool | check_version (guint min_major, guint min_minor, guint min_micro) const
| Checks whether the given plugin feature is at least the required version. More...
Public Member Functions inherited from Gst::Object
virtual | ~Object ()
GstObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GstObject* | gobj () const
| Provides access to the underlying C GObject. More...
GstObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | is_element () const
bool | is_element_factory () const
bool | is_pad () const
bool | is_pad_template () const
bool | is_bin () const
guint32 | get_flags () const
| Returns the entire set of flags for the object. More...
bool | set_name (const Glib::ustring& name)
| Sets the name of object, or gives object a guaranteed unique name (if name is `0`). More...
Glib::ustring | get_name () const
| Returns a copy of the name of object. More...
bool | set_parent (const Glib::RefPtr< Gst::Object >& parent)
| Sets the parent of object to parent. More...
Glib::RefPtr< Gst::Object > | get_parent ()
| Returns the parent of object. More...
Glib::RefPtr< const Gst::Object > | get_parent () const
| Returns the parent of object. More...
void | unparent ()
| Clear the parent of object, removing the associated reference. More...
bool | has_ancestor (const Glib::RefPtr< const Gst::Object >& ancestor) const
| Check if object has an ancestor ancestor somewhere up in the hierarchy. More...
Glib::ustring | get_path_string ()
| Generates a string describing the path of object in the object hierarchy. More...
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the object. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the object. More...
Glib::SignalProxy2< void, const Glib::RefPtr< Object > &, GParamSpec* > | signal_deep_notify ()
int | get_refcount () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | check_uniqueness (const Glib::ListHandle< const Gst::Object >& list, const Glib::ustring& name)
| Checks to see if there is any object named name in list. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::PluginFeature > | wrap (GstPluginFeature* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Object
Glib::RefPtr< Gst::Object > | wrap (GstObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Gst::Object
virtual void | on_deep_notify (const Glib::RefPtr< Object >& prop_object, GParamSpec* prop)
| This is a default handler for the signal signal_deep_notify(). More...

## Detailed Description

A base class for anything that can be added to a Gst::Plugin.

## Member Typedef Documentation

typedef sigc::slot< bool, const Glib::RefPtr<Gst::PluginFeature>& > Gst::PluginFeature::SlotFilter

For example, bool on_filter(const Glib::RefPtr<Gst::PluginFeature>& feature);.

The filter function should return true if the feature is a match, false otherwise.

## Constructor & Destructor Documentation

virtual Gst::PluginFeature::~PluginFeature | ( |  | ) |
| virtual

## Member Function Documentation

bool Gst::PluginFeature::check_version | ( | guint | min_major,
|  | guint | min_minor,
|  | guint | min_micro
| ) |  | const

Checks whether the given plugin feature is at least the required version.

Parameters

  min_major | Minimum required major version.
  min_minor | Minimum required minor version.
  min_micro | Minimum required micro version.

Returns
  #`true` if the plugin feature has at least the required version, otherwise #`false`.

Glib::RefPtr<Gst::Plugin> Gst::PluginFeature::get_plugin | ( |  | ) | const

Get the plugin that provides this feature.

Returns
  The plugin that provides this feature, or `0`. Unref with Gst::Object::unref() when no longer needed.

guint Gst::PluginFeature::get_rank | ( |  | ) | const

Gets the rank of a plugin feature.

Returns
  The rank of the feature.

static GType Gst::PluginFeature::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GstPluginFeature* Gst::PluginFeature::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GstPluginFeature* Gst::PluginFeature::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GstPluginFeature* Gst::PluginFeature::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<Gst::PluginFeature> Gst::PluginFeature::load | ( |  | ) |

Loads the plugin containing feature if it's not already loaded.

feature is unaffected; use the return value instead.

Normally this function is used like this:

[C example ellipted]

Returns
  A reference to the loaded feature, or `0` on error.

void Gst::PluginFeature::set_rank | ( | guint | rank | ) |

Specifies a rank for a plugin feature, so that autoplugging uses the most appropriate feature.

Parameters

  rank | Rank value - higher number means more priority rank.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::PluginFeature > wrap | ( | GstPluginFeature * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/pluginfeature.h